#!/usr/bin/env python
from math import floor
from sys import argv
from Cobalt.Util import print_tabular

def timeconv(seconds):
    '''Change seconds in : delimited time'''
    t = int(seconds)
    d = int(floor(t/86400))
    t -= (d * 86400)
    h = int(floor(t / 3600))
    t -= (h * 3600)
    m = int(floor(t / 60))
    return "%d:%02d:%02d" % (d, h, m)

if __name__ == '__main__':
    if len(argv) < 2:
        print "Usage: print-usage.py <file1> <file2> ..."

    jobdata = []
    for jobfile in argv[1:]:
        jobdata += open(jobfile, 'r').readlines()

    results = {}
        
    for line in jobdata:
        jobinfo = line.split(' ')
        jobuser = jobinfo[6]
        usertime = jobinfo[12].split(':')[1][:-2]
        nodes = jobinfo[8]
        jobid, user = jobuser.split('/')
        if results.has_key(user):
            results[user][1] += (float(usertime) * int(nodes))
            results[user][0] += [jobid]
        else:
            results[user] = [[jobid], (float(usertime) * int(nodes))]

    header = [('User', 'Node Minutes', 'JobIDs')]
    data = [(key, timeconv(value[1]), ','.join(value[0])) for key, value in results.iteritems()]
    print_tabular(header + data)
